<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>All Classes (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":2,"i1":2,"i2":2,"i3":2,"i4":1,"i5":2,"i6":1,"i7":2,"i8":1,"i9":2,"i10":2,"i11":2,"i12":2,"i13":2,"i14":2,"i15":2,"i16":2,"i17":2,"i18":2,"i19":2,"i20":2,"i21":2,"i22":2,"i23":2,"i24":2,"i25":2,"i26":2,"i27":2,"i28":2,"i29":2,"i30":2,"i31":2,"i32":2,"i33":2,"i34":2,"i35":2,"i36":2,"i37":2,"i38":2,"i39":2,"i40":2,"i41":2,"i42":2,"i43":2,"i44":2,"i45":2,"i46":2,"i47":2,"i48":2,"i49":2,"i50":2,"i51":2,"i52":2,"i53":1,"i54":2,"i55":2,"i56":2,"i57":2,"i58":2,"i59":2,"i60":2,"i61":1,"i62":2,"i63":2,"i64":2,"i65":2,"i66":2,"i67":1,"i68":2,"i69":2,"i70":2,"i71":2,"i72":4,"i73":2,"i74":2,"i75":2,"i76":2,"i77":2,"i78":2,"i79":2,"i80":1,"i81":2,"i82":2,"i83":2,"i84":2,"i85":2,"i86":2,"i87":2,"i88":2,"i89":2,"i90":2,"i91":2,"i92":2,"i93":2,"i94":2,"i95":2,"i96":2,"i97":2,"i98":2,"i99":2,"i100":2,"i101":1,"i102":2,"i103":2,"i104":2,"i105":2,"i106":2,"i107":2,"i108":1,"i109":2,"i110":2,"i111":2,"i112":2,"i113":2,"i114":2,"i115":2,"i116":2,"i117":2,"i118":2,"i119":4,"i120":2,"i121":2,"i122":2,"i123":2,"i124":2,"i125":2,"i126":2,"i127":2,"i128":2,"i129":2,"i130":2,"i131":1,"i132":2,"i133":2,"i134":2,"i135":1,"i136":1,"i137":1,"i138":1,"i139":1,"i140":1,"i141":1,"i142":1,"i143":2,"i144":2,"i145":2,"i146":2,"i147":2,"i148":1,"i149":2,"i150":2,"i151":1,"i152":1,"i153":2,"i154":2,"i155":2,"i156":2,"i157":2,"i158":2,"i159":2,"i160":2,"i161":2,"i162":2,"i163":2,"i164":2,"i165":2,"i166":2,"i167":2,"i168":2,"i169":2,"i170":2,"i171":2,"i172":2,"i173":2,"i174":2,"i175":1,"i176":2,"i177":2,"i178":2,"i179":2,"i180":2,"i181":2,"i182":2,"i183":2,"i184":2,"i185":2,"i186":2,"i187":2,"i188":2,"i189":2,"i190":2,"i191":2,"i192":2,"i193":2,"i194":1,"i195":2,"i196":2,"i197":2,"i198":2,"i199":2,"i200":2,"i201":2,"i202":2,"i203":2,"i204":2,"i205":2,"i206":2,"i207":2,"i208":2,"i209":2,"i210":2,"i211":2,"i212":2,"i213":2,"i214":2,"i215":2,"i216":1,"i217":2,"i218":2,"i219":2,"i220":2,"i221":2,"i222":2,"i223":2,"i224":2,"i225":8,"i226":1,"i227":1,"i228":2,"i229":1,"i230":2,"i231":1,"i232":2,"i233":8};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"],4:["t3","Enum Summary"],8:["t4","Exception Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span id="t0" class="activeTableTab"><span>All Classes</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Interface Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Class Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Enum Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Exception Summary</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/AbstractParser.html" title="class in import hk.quantr.mxgraph.util.svg">AbstractParser</a></td>
<th class="colLast" scope="row">
<div class="block">This class is the superclass of all parsers.</div>
</th>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/AWTPathProducer.html" title="class in import hk.quantr.mxgraph.util.svg">AWTPathProducer</a></td>
<th class="colLast" scope="row">
<div class="block">This class provides an implementation of the PathHandler that initializes
 a Shape from the value of a path's 'd' attribute.</div>
</th>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/AWTPolygonProducer.html" title="class in import hk.quantr.mxgraph.util.svg">AWTPolygonProducer</a></td>
<th class="colLast" scope="row">
<div class="block">This class produces a polygon shape from a reader.</div>
</th>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/AWTPolylineProducer.html" title="class in import hk.quantr.mxgraph.util.svg">AWTPolylineProducer</a></td>
<th class="colLast" scope="row">
<div class="block">This class produces a polyline shape from a reader.</div>
</th>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/CSSConstants.html" title="interface in import hk.quantr.mxgraph.util.svg">CSSConstants</a></td>
<th class="colLast" scope="row">
<div class="block">This interface defines constants for CSS.</div>
</th>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/DefaultErrorHandler.html" title="class in import hk.quantr.mxgraph.util.svg">DefaultErrorHandler</a></td>
<th class="colLast" scope="row">
<div class="block">This class provides a default implementation of ErrorHandler.</div>
</th>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/ErrorHandler.html" title="interface in import hk.quantr.mxgraph.util.svg">ErrorHandler</a></td>
<th class="colLast" scope="row">
<div class="block">This interface must be implemented and then registred as the error handler
 in order to be notified of parsing errors.</div>
</th>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/ExtendedGeneralPath.html" title="class in import hk.quantr.mxgraph.util.svg">ExtendedGeneralPath</a></td>
<th class="colLast" scope="row">
<div class="block">The <code>ExtendedGeneralPath</code> class represents a geometric
 path constructed from straight lines, quadratic and cubic (Bezier)
 curves and elliptical arc.</div>
</th>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/ExtendedPathIterator.html" title="interface in import hk.quantr.mxgraph.util.svg">ExtendedPathIterator</a></td>
<th class="colLast" scope="row">
<div class="block">The <code>ExtendedPathIterator</code> class represents a geometric
 path constructed from straight lines, quadratic and cubic (Bezier)
 curves and elliptical arcs.</div>
</th>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxActorShape.html" title="class in import hk.quantr.mxgraph.shape">mxActorShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><a href="com/mxgraph/analysis/mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a collection of utility methods abstracting the graph structure
 taking into account graph properties such as visible/non-visible traversal</div>
</th>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxAnimation.html" title="class in import hk.quantr.mxgraph.swing.util">mxAnimation</a></td>
<th class="colLast" scope="row">
<div class="block">Baseclass for all timer-based animations.</div>
</th>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxArrowShape.html" title="class in import hk.quantr.mxgraph.shape">mxArrowShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/mxBase64.html" title="class in import hk.quantr.mxgraph.util">mxBase64</a></td>
<th class="colLast" scope="row">
<div class="block">A very fast and memory efficient class to encode and decode to and from BASE64 in full accordance
 with RFC 2045.<br><br>
 On Windows XP sp1 with 1.4.2_04 and later ;), this encoder and decoder is about 10 times faster
 on small arrays (10 - 1000 bytes) and 2-3 times as fast on larger arrays (10000 - 1000000 bytes)
 compared to <code>sun.misc.Encoder()/Decoder()</code>.<br><br>

 On byte arrays the encoder is about 20% faster than Jakarta Commons Base64 Codec for encode and
 about 50% faster for decoding large arrays.</div>
</th>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><a href="com/mxgraph/canvas/mxBasicCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxBasicCanvas</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxBasicShape.html" title="class in import hk.quantr.mxgraph.shape">mxBasicShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><a href="com/mxgraph/model/mxCell.html" title="class in import hk.quantr.mxgraph.model">mxCell</a></td>
<th class="colLast" scope="row">
<div class="block">Cells are the elements of the graph model.</div>
</th>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/io/mxCellCodec.html" title="class in import hk.quantr.mxgraph.io">mxCellCodec</a></td>
<th class="colLast" scope="row">
<div class="block">Codec for mxCells.</div>
</th>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/view/mxCellEditor.html" title="class in import hk.quantr.mxgraph.swing.view">mxCellEditor</a></td>
<th class="colLast" scope="row">
<div class="block">To control this editor, use mxGraph.invokesStopCellEditing, mxGraph.</div>
</th>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxCellHandler.html" title="class in import hk.quantr.mxgraph.swing.handler">mxCellHandler</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxCellMarker.html" title="class in import hk.quantr.mxgraph.swing.handler">mxCellMarker</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a mouse tracker that marks cells under the mouse.</div>
</th>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxCellOverlay.html" title="class in import hk.quantr.mxgraph.swing.util">mxCellOverlay</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><a href="com/mxgraph/model/mxCellPath.html" title="class in import hk.quantr.mxgraph.model">mxCellPath</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a mechanism for temporary cell Ids.</div>
</th>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/mxCellRenderer.html" title="class in import hk.quantr.mxgraph.util">mxCellRenderer</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxCellRenderer.CanvasFactory.html" title="class in import hk.quantr.mxgraph.util">mxCellRenderer.CanvasFactory</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a></td>
<th class="colLast" scope="row">
<div class="block">Represents the current state of a cell in a given graph view.</div>
</th>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/view/mxCellStatePreview.html" title="class in import hk.quantr.mxgraph.swing.view">mxCellStatePreview</a></td>
<th class="colLast" scope="row">
<div class="block">Represents the current state of a cell in a given graph view.</div>
</th>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxCellTracker.html" title="class in import hk.quantr.mxgraph.swing.handler">mxCellTracker</a></td>
<th class="colLast" scope="row">
<div class="block">Event handler that highlights cells.</div>
</th>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><a href="com/mxgraph/io/mxChildChangeCodec.html" title="class in import hk.quantr.mxgraph.io">mxChildChangeCodec</a></td>
<th class="colLast" scope="row">
<div class="block">Codec for mxChildChanges.</div>
</th>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/mxCircleLayout.html" title="class in import hk.quantr.mxgraph.layout">mxCircleLayout</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxCloudShape.html" title="class in import hk.quantr.mxgraph.shape">mxCloudShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/io/mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a></td>
<th class="colLast" scope="row">
<div class="block">XML codec for Java object graphs.</div>
</th>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><a href="com/mxgraph/io/mxCodecRegistry.html" title="class in import hk.quantr.mxgraph.io">mxCodecRegistry</a></td>
<th class="colLast" scope="row">
<div class="block">Singleton class that acts as a global registry for codecs.</div>
</th>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/mxCompactTreeLayout.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><a href="com/mxgraph/layout/mxCompactTreeLayout.Polygon.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.Polygon</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/mxCompactTreeLayout.Polyline.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.Polyline</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><a href="com/mxgraph/layout/mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/view/mxConnectionConstraint.html" title="class in import hk.quantr.mxgraph.view">mxConnectionConstraint</a></td>
<th class="colLast" scope="row">
<div class="block">Defines an object that contains the constraints about how to connect one
 side of an edge to its terminal.</div>
</th>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxConnectionHandler.html" title="class in import hk.quantr.mxgraph.swing.handler">mxConnectionHandler</a></td>
<th class="colLast" scope="row">
<div class="block">Connection handler creates new connections between cells.</div>
</th>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxConnectorShape.html" title="class in import hk.quantr.mxgraph.shape">mxConnectorShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxConnectPreview.html" title="class in import hk.quantr.mxgraph.swing.handler">mxConnectPreview</a></td>
<th class="colLast" scope="row">
<div class="block">Connection handler creates new connections between cells.</div>
</th>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/analysis/mxConstantCostFunction.html" title="class in import hk.quantr.mxgraph.analysis">mxConstantCostFunction</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a cost function for a constant cost per traversed cell.</div>
</th>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxConstants.html" title="class in import hk.quantr.mxgraph.util">mxConstants</a></td>
<th class="colLast" scope="row">
<div class="block">Contains all global constants.</div>
</th>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/costfunction/mxConstCostFunction.html" title="class in import hk.quantr.mxgraph.costfunction">mxConstCostFunction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><a href="com/mxgraph/layout/hierarchical/stage/mxCoordinateAssignment.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.stage">mxCoordinateAssignment</a></td>
<th class="colLast" scope="row">
<div class="block">Sets the horizontal locations of node and edge dummy nodes on each layer.</div>
</th>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/costfunction/mxCostFunction.html" title="class in import hk.quantr.mxgraph.costfunction">mxCostFunction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxCurve.html" title="class in import hk.quantr.mxgraph.util">mxCurve</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxCurveLabelShape.html" title="class in import hk.quantr.mxgraph.shape">mxCurveLabelShape</a></td>
<th class="colLast" scope="row">
<div class="block">Draws the edge label along a curve derived from the curve describing
 the edge's path</div>
</th>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxCurveShape.html" title="class in import hk.quantr.mxgraph.shape">mxCurveShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxCylinderShape.html" title="class in import hk.quantr.mxgraph.shape">mxCylinderShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxDefaultTextShape.html" title="class in import hk.quantr.mxgraph.shape">mxDefaultTextShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/analysis/mxDistanceCostFunction.html" title="class in import hk.quantr.mxgraph.analysis">mxDistanceCostFunction</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a cost function for the Euclidean length of an edge.</div>
</th>
</tr>
<tr id="i52" class="altColor">
<td class="colFirst"><a href="com/mxgraph/reader/mxDomOutputParser.html" title="class in import hk.quantr.mxgraph.reader">mxDomOutputParser</a></td>
<th class="colLast" scope="row">
<div class="block">public static void main(String[] args)
        {
                try
                {
                        String filename = Test.class.getResource(
                                        "/hk/quantr/mxgraph/online/exported.xml").getPath();
                        String xml = mxUtils.readFile(filename);
                        System.out.println("xml=" + xml);

                        Document doc = mxUtils.parseXml(xml);
                        Element root = doc.getDocumentElement();
                        int width = Integer.parseInt(root.getAttribute("width"));
                        int height = Integer.parseInt(root.getAttribute("height"));

                        System.out.println("width=" + width + " height=" + height);

                        BufferedImage img = mxUtils.createBufferedImage(width, height,
                                        Color.WHITE);
                        Graphics2D g2 = img.createGraphics();
                        mxUtils.setAntiAlias(g2, true, true);
                        mxDomOutputParser reader = new mxDomOutputParser(
                                        new mxGraphicsExportCanvas(g2));
                        reader.read((Element) root.getFirstChild().getNextSibling());

                        ImageIO.write(img, "PNG", new File(
                                        "C:\\Users\\Gaudenz\\Desktop\\test.png"));
                }
                catch (Exception e)
                {
                        e.printStackTrace();
                }
        }
        
        // -------------
        
        Document doc = mxUtils.parseXml(xml);
        Element root = doc.getDocumentElement();
        mxDomOutputParser reader = new mxDomOutputParser(canvas);
        reader.read(root.getFirstChild());</div>
</th>
</tr>
<tr id="i53" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/reader/mxDomOutputParser.IElementHandler.html" title="interface in import hk.quantr.mxgraph.reader">mxDomOutputParser.IElementHandler</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i54" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxDomUtils.html" title="class in import hk.quantr.mxgraph.util">mxDomUtils</a></td>
<th class="colLast" scope="row">
<div class="block">Contains various DOM API helper methods for use with mxGraph.</div>
</th>
</tr>
<tr id="i55" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxDoubleEllipseShape.html" title="class in import hk.quantr.mxgraph.shape">mxDoubleEllipseShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i56" class="altColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxDoubleRectangleShape.html" title="class in import hk.quantr.mxgraph.shape">mxDoubleRectangleShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i57" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/costfunction/mxDoubleValCostFunction.html" title="class in import hk.quantr.mxgraph.costfunction">mxDoubleValCostFunction</a></td>
<th class="colLast" scope="row">
<div class="block">A cost function that assumes that edge value is of type "double" or "String" and returns that value.</div>
</th>
</tr>
<tr id="i58" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxEdgeHandler.html" title="class in import hk.quantr.mxgraph.swing.handler">mxEdgeHandler</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i59" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/mxEdgeLabelLayout.html" title="class in import hk.quantr.mxgraph.layout">mxEdgeLabelLayout</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i60" class="altColor">
<td class="colFirst"><a href="com/mxgraph/view/mxEdgeStyle.html" title="class in import hk.quantr.mxgraph.view">mxEdgeStyle</a></td>
<th class="colLast" scope="row">
<div class="block">Provides various edge styles to be used as the values for
 mxConstants.STYLE_EDGE in a cell style.</div>
</th>
</tr>
<tr id="i61" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/view/mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in import hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a></td>
<th class="colLast" scope="row">
<div class="block">Defines the requirements for an edge style function.</div>
</th>
</tr>
<tr id="i62" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxElbowEdgeHandler.html" title="class in import hk.quantr.mxgraph.swing.handler">mxElbowEdgeHandler</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i63" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxEllipseShape.html" title="class in import hk.quantr.mxgraph.shape">mxEllipseShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i64" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxEvent.html" title="class in import hk.quantr.mxgraph.util">mxEvent</a></td>
<th class="colLast" scope="row">
<div class="block">Contains all global constants.</div>
</th>
</tr>
<tr id="i65" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/mxEventObject.html" title="class in import hk.quantr.mxgraph.util">mxEventObject</a></td>
<th class="colLast" scope="row">
<div class="block">Base class for objects that dispatch named events.</div>
</th>
</tr>
<tr id="i66" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxEventSource.html" title="class in import hk.quantr.mxgraph.util">mxEventSource</a></td>
<th class="colLast" scope="row">
<div class="block">Base class for objects that dispatch named events.</div>
</th>
</tr>
<tr id="i67" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/mxEventSource.mxIEventListener.html" title="interface in import hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></td>
<th class="colLast" scope="row">
<div class="block">Defines the requirements for an object that listens to an event source.</div>
</th>
</tr>
<tr id="i68" class="altColor">
<td class="colFirst"><a href="com/mxgraph/layout/mxFastOrganicLayout.html" title="class in import hk.quantr.mxgraph.layout">mxFastOrganicLayout</a></td>
<th class="colLast" scope="row">
<div class="block">Fast organic layout algorithm.</div>
</th>
</tr>
<tr id="i69" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/analysis/mxFibonacciHeap.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap</a></td>
<th class="colLast" scope="row">
<div class="block">This class implements a priority queue.</div>
</th>
</tr>
<tr id="i70" class="altColor">
<td class="colFirst"><a href="com/mxgraph/analysis/mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a node of the Fibonacci heap.</div>
</th>
</tr>
<tr id="i71" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/io/mxGdCodec.html" title="class in import hk.quantr.mxgraph.io">mxGdCodec</a></td>
<th class="colLast" scope="row">
<div class="block">Parses a GD .txt file and imports it in the given graph.<br/>
 This class depends from the classes contained in
 import hk.quantr.mxgraph.io.gd.</div>
</th>
</tr>
<tr id="i72" class="altColor">
<td class="colFirst"><a href="com/mxgraph/io/mxGdCodec.mxGDParseState.html" title="enum in import hk.quantr.mxgraph.io">mxGdCodec.mxGDParseState</a></td>
<th class="colLast" scope="row">
<div class="block">Represents the different states in the parse of a file.</div>
</th>
</tr>
<tr id="i73" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/generatorfunction/mxGeneratorConstFunction.html" title="class in import hk.quantr.mxgraph.generatorfunction">mxGeneratorConstFunction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i74" class="altColor">
<td class="colFirst"><a href="com/mxgraph/generatorfunction/mxGeneratorFunction.html" title="class in import hk.quantr.mxgraph.generatorfunction">mxGeneratorFunction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i75" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/generatorfunction/mxGeneratorRandomFunction.html" title="class in import hk.quantr.mxgraph.generatorfunction">mxGeneratorRandomFunction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i76" class="altColor">
<td class="colFirst"><a href="com/mxgraph/generatorfunction/mxGeneratorRandomIntFunction.html" title="class in import hk.quantr.mxgraph.generatorfunction">mxGeneratorRandomIntFunction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i77" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/io/mxGenericChangeCodec.html" title="class in import hk.quantr.mxgraph.io">mxGenericChangeCodec</a></td>
<th class="colLast" scope="row">
<div class="block">Codec for mxChildChanges.</div>
</th>
</tr>
<tr id="i78" class="altColor">
<td class="colFirst"><a href="com/mxgraph/model/mxGeometry.html" title="class in import hk.quantr.mxgraph.model">mxGeometry</a></td>
<th class="colLast" scope="row">
<div class="block">Represents the geometry of a cell.</div>
</th>
</tr>
<tr id="i79" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/view/mxGraph.html" title="class in import hk.quantr.mxgraph.view">mxGraph</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a graph object that allows to create diagrams from a graph model
 and stylesheet.</div>
</th>
</tr>
<tr id="i80" class="altColor">
<td class="colFirst"><a href="com/mxgraph/view/mxGraph.mxICellVisitor.html" title="interface in import hk.quantr.mxgraph.view">mxGraph.mxICellVisitor</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i81" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/hierarchical/model/mxGraphAbstractHierarchyCell.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphAbstractHierarchyCell</a></td>
<th class="colLast" scope="row">
<div class="block">An abstraction of an internal hierarchy node or edge</div>
</th>
</tr>
<tr id="i82" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxGraphActions.html" title="class in import hk.quantr.mxgraph.swing.util">mxGraphActions</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i83" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxGraphActions.DeleteAction.html" title="class in import hk.quantr.mxgraph.swing.util">mxGraphActions.DeleteAction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i84" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxGraphActions.DrillAction.html" title="class in import hk.quantr.mxgraph.swing.util">mxGraphActions.DrillAction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i85" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxGraphActions.EditAction.html" title="class in import hk.quantr.mxgraph.swing.util">mxGraphActions.EditAction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i86" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxGraphActions.FoldAction.html" title="class in import hk.quantr.mxgraph.swing.util">mxGraphActions.FoldAction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i87" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxGraphActions.GroupAction.html" title="class in import hk.quantr.mxgraph.swing.util">mxGraphActions.GroupAction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i88" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxGraphActions.LayerAction.html" title="class in import hk.quantr.mxgraph.swing.util">mxGraphActions.LayerAction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i89" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxGraphActions.RemoveFromParentAction.html" title="class in import hk.quantr.mxgraph.swing.util">mxGraphActions.RemoveFromParentAction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i90" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxGraphActions.SelectAction.html" title="class in import hk.quantr.mxgraph.swing.util">mxGraphActions.SelectAction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i91" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxGraphActions.UngroupAction.html" title="class in import hk.quantr.mxgraph.swing.util">mxGraphActions.UngroupAction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i92" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxGraphActions.UpdateGroupBoundsAction.html" title="class in import hk.quantr.mxgraph.swing.util">mxGraphActions.UpdateGroupBoundsAction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i93" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxGraphActions.ZoomAction.html" title="class in import hk.quantr.mxgraph.swing.util">mxGraphActions.ZoomAction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i94" class="altColor">
<td class="colFirst"><a href="com/mxgraph/analysis/mxGraphAnalysis.html" title="class in import hk.quantr.mxgraph.analysis">mxGraphAnalysis</a></td>
<th class="colLast" scope="row">
<div class="block">A singleton class that provides algorithms for graphs.</div>
</th>
</tr>
<tr id="i95" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/mxGraphComponent.html" title="class in import hk.quantr.mxgraph.swing">mxGraphComponent</a></td>
<th class="colLast" scope="row">
<div class="block">For setting the preferred size of the viewport for scrolling, use
 mxGraph.setMinimumGraphSize.</div>
</th>
</tr>
<tr id="i96" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/mxGraphComponent.mxMouseRedirector.html" title="class in import hk.quantr.mxgraph.swing">mxGraphComponent.mxMouseRedirector</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i97" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/analysis/mxGraphGenerator.html" title="class in import hk.quantr.mxgraph.analysis">mxGraphGenerator</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i98" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxGraphHandler.html" title="class in import hk.quantr.mxgraph.swing.handler">mxGraphHandler</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i99" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/hierarchical/model/mxGraphHierarchyEdge.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphHierarchyEdge</a></td>
<th class="colLast" scope="row">
<div class="block">An abstraction of a hierarchical edge for the hierarchy layout</div>
</th>
</tr>
<tr id="i100" class="altColor">
<td class="colFirst"><a href="com/mxgraph/layout/hierarchical/model/mxGraphHierarchyModel.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphHierarchyModel</a></td>
<th class="colLast" scope="row">
<div class="block">Internal model of a hierarchical graph.</div>
</th>
</tr>
<tr id="i101" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/hierarchical/model/mxGraphHierarchyModel.CellVisitor.html" title="interface in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphHierarchyModel.CellVisitor</a></td>
<th class="colLast" scope="row">
<div class="block">Defines the interface that visitors use to perform operations upon the
 graph information during depth first search (dfs) or other tree-traversal
 strategies implemented by subclassers.</div>
</th>
</tr>
<tr id="i102" class="altColor">
<td class="colFirst"><a href="com/mxgraph/layout/hierarchical/model/mxGraphHierarchyNode.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphHierarchyNode</a></td>
<th class="colLast" scope="row">
<div class="block">An abstraction of an internal node in the hierarchy layout</div>
</th>
</tr>
<tr id="i103" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/hierarchical/model/mxGraphHierarchyRank.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphHierarchyRank</a></td>
<th class="colLast" scope="row">
<div class="block">An abstraction of a rank in the hierarchy layout.</div>
</th>
</tr>
<tr id="i104" class="altColor">
<td class="colFirst"><a href="com/mxgraph/canvas/mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></td>
<th class="colLast" scope="row">
<div class="block">An implementation of a canvas that uses Graphics2D for painting.</div>
</th>
</tr>
<tr id="i105" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/canvas/mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a></td>
<th class="colLast" scope="row">
<div class="block">Used for exporting images.</div>
</th>
</tr>
<tr id="i106" class="altColor">
<td class="colFirst"><a href="com/mxgraph/layout/mxGraphLayout.html" title="class in import hk.quantr.mxgraph.layout">mxGraphLayout</a></td>
<th class="colLast" scope="row">
<div class="block">Abstract bass class for layouts</div>
</th>
</tr>
<tr id="i107" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/model/mxGraphModel.html" title="class in import hk.quantr.mxgraph.model">mxGraphModel</a></td>
<th class="colLast" scope="row">
<div class="block">Extends mxEventSource to implement a graph model.</div>
</th>
</tr>
<tr id="i108" class="altColor">
<td class="colFirst"><a href="com/mxgraph/model/mxGraphModel.Filter.html" title="interface in import hk.quantr.mxgraph.model">mxGraphModel.Filter</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i109" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/model/mxGraphModel.mxChildChange.html" title="class in import hk.quantr.mxgraph.model">mxGraphModel.mxChildChange</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i110" class="altColor">
<td class="colFirst"><a href="com/mxgraph/model/mxGraphModel.mxCollapseChange.html" title="class in import hk.quantr.mxgraph.model">mxGraphModel.mxCollapseChange</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i111" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/model/mxGraphModel.mxGeometryChange.html" title="class in import hk.quantr.mxgraph.model">mxGraphModel.mxGeometryChange</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i112" class="altColor">
<td class="colFirst"><a href="com/mxgraph/model/mxGraphModel.mxRootChange.html" title="class in import hk.quantr.mxgraph.model">mxGraphModel.mxRootChange</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i113" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/model/mxGraphModel.mxStyleChange.html" title="class in import hk.quantr.mxgraph.model">mxGraphModel.mxStyleChange</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i114" class="altColor">
<td class="colFirst"><a href="com/mxgraph/model/mxGraphModel.mxTerminalChange.html" title="class in import hk.quantr.mxgraph.model">mxGraphModel.mxTerminalChange</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i115" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/model/mxGraphModel.mxValueChange.html" title="class in import hk.quantr.mxgraph.model">mxGraphModel.mxValueChange</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i116" class="altColor">
<td class="colFirst"><a href="com/mxgraph/model/mxGraphModel.mxVisibleChange.html" title="class in import hk.quantr.mxgraph.model">mxGraphModel.mxVisibleChange</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i117" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/mxGraphOutline.html" title="class in import hk.quantr.mxgraph.swing">mxGraphOutline</a></td>
<th class="colLast" scope="row">
<div class="block">An outline view for a specific graph component.</div>
</th>
</tr>
<tr id="i118" class="altColor">
<td class="colFirst"><a href="com/mxgraph/analysis/mxGraphProperties.html" title="class in import hk.quantr.mxgraph.analysis">mxGraphProperties</a></td>
<th class="colLast" scope="row">
<div class="block">Constants for graph structure properties</div>
</th>
</tr>
<tr id="i119" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/analysis/mxGraphProperties.GraphType.html" title="enum in import hk.quantr.mxgraph.analysis">mxGraphProperties.GraphType</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i120" class="altColor">
<td class="colFirst"><a href="com/mxgraph/view/mxGraphSelectionModel.html" title="class in import hk.quantr.mxgraph.view">mxGraphSelectionModel</a></td>
<th class="colLast" scope="row">
<div class="block">Implements the selection model for a graph.</div>
</th>
</tr>
<tr id="i121" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/view/mxGraphSelectionModel.mxSelectionChange.html" title="class in import hk.quantr.mxgraph.view">mxGraphSelectionModel.mxSelectionChange</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i122" class="altColor">
<td class="colFirst"><a href="com/mxgraph/analysis/mxGraphStructure.html" title="class in import hk.quantr.mxgraph.analysis">mxGraphStructure</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i123" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxGraphTransferable.html" title="class in import hk.quantr.mxgraph.swing.util">mxGraphTransferable</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i124" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxGraphTransferHandler.html" title="class in import hk.quantr.mxgraph.swing.handler">mxGraphTransferHandler</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i125" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/view/mxGraphView.html" title="class in import hk.quantr.mxgraph.view">mxGraphView</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a view for the graph.</div>
</th>
</tr>
<tr id="i126" class="altColor">
<td class="colFirst"><a href="com/mxgraph/view/mxGraphView.mxCurrentRootChange.html" title="class in import hk.quantr.mxgraph.view">mxGraphView.mxCurrentRootChange</a></td>
<th class="colLast" scope="row">
<div class="block">Action to change the current root in a view.</div>
</th>
</tr>
<tr id="i127" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/reader/mxGraphViewImageReader.html" title="class in import hk.quantr.mxgraph.reader">mxGraphViewImageReader</a></td>
<th class="colLast" scope="row">
<div class="block">A converter that renders display XML data onto a graphics canvas.</div>
</th>
</tr>
<tr id="i128" class="altColor">
<td class="colFirst"><a href="com/mxgraph/reader/mxGraphViewReader.html" title="class in import hk.quantr.mxgraph.reader">mxGraphViewReader</a></td>
<th class="colLast" scope="row">
<div class="block">An abstract converter that renders display XML data onto a canvas.</div>
</th>
</tr>
<tr id="i129" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxHexagonShape.html" title="class in import hk.quantr.mxgraph.shape">mxHexagonShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i130" class="altColor">
<td class="colFirst"><a href="com/mxgraph/layout/hierarchical/mxHierarchicalLayout.html" title="class in import hk.quantr.mxgraph.layout.hierarchical">mxHierarchicalLayout</a></td>
<th class="colLast" scope="row">
<div class="block">The top level compound layout of the hierarchical layout.</div>
</th>
</tr>
<tr id="i131" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/hierarchical/stage/mxHierarchicalLayoutStage.html" title="interface in import hk.quantr.mxgraph.layout.hierarchical.stage">mxHierarchicalLayoutStage</a></td>
<th class="colLast" scope="row">
<div class="block">The specific layout interface for hierarchical layouts.</div>
</th>
</tr>
<tr id="i132" class="altColor">
<td class="colFirst"><a href="com/mxgraph/canvas/mxHtmlCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxHtmlCanvas</a></td>
<th class="colLast" scope="row">
<div class="block">An implementation of a canvas that uses HTML for painting.</div>
</th>
</tr>
<tr id="i133" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/mxHtmlColor.html" title="class in import hk.quantr.mxgraph.util">mxHtmlColor</a></td>
<th class="colLast" scope="row">
<div class="block">Contains various helper methods for use with mxGraph.</div>
</th>
</tr>
<tr id="i134" class="altColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxHtmlTextShape.html" title="class in import hk.quantr.mxgraph.shape">mxHtmlTextShape</a></td>
<th class="colLast" scope="row">
<div class="block">To set global CSS for all HTML labels, use the following code:</div>
</th>
</tr>
<tr id="i135" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/canvas/mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></td>
<th class="colLast" scope="row">
<div class="block">Defines the requirements for a canvas that paints the vertices and edges of
 a graph.</div>
</th>
</tr>
<tr id="i136" class="altColor">
<td class="colFirst"><a href="com/mxgraph/canvas/mxICanvas2D.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas2D</a></td>
<th class="colLast" scope="row">
<div class="block">Requirements for implementing technologies:
 
 - Path rendering (move, line, quad, curve, arc)
 - Images, flip v/h, aspect, alpha (PNG, JPG, GIF)
 - Linear gradients (in all four directions)
 - Transparency, fill and stroke
 - Rotation, flip v/h
 - Font rendering
 - Dash patterns
 - Clipping by path (not just rectangle)
 - Alpha gradients (for glass effect)
 - Encode result as image (PNG, JPG)</div>
</th>
</tr>
<tr id="i137" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/model/mxICell.html" title="interface in import hk.quantr.mxgraph.model">mxICell</a></td>
<th class="colLast" scope="row">
<div class="block">Defines the requirements for a cell that can be used in an mxGraphModel.</div>
</th>
</tr>
<tr id="i138" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/view/mxICellEditor.html" title="interface in import hk.quantr.mxgraph.swing.view">mxICellEditor</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i139" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxICellOverlay.html" title="interface in import hk.quantr.mxgraph.swing.util">mxICellOverlay</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i140" class="altColor">
<td class="colFirst"><a href="com/mxgraph/analysis/mxICostFunction.html" title="interface in import hk.quantr.mxgraph.analysis">mxICostFunction</a></td>
<th class="colLast" scope="row">
<div class="block">The cost function takes a cell and returns it's cost as a double.</div>
</th>
</tr>
<tr id="i141" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/mxIGraphLayout.html" title="interface in import hk.quantr.mxgraph.layout">mxIGraphLayout</a></td>
<th class="colLast" scope="row">
<div class="block">Defines the requirements for an object that implements a graph layout.</div>
</th>
</tr>
<tr id="i142" class="altColor">
<td class="colFirst"><a href="com/mxgraph/model/mxIGraphModel.html" title="interface in import hk.quantr.mxgraph.model">mxIGraphModel</a></td>
<th class="colLast" scope="row">
<div class="block">Defines the requirements for a graph model to be used with mxGraph.</div>
</th>
</tr>
<tr id="i143" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/model/mxIGraphModel.mxAtomicGraphModelChange.html" title="class in import hk.quantr.mxgraph.model">mxIGraphModel.mxAtomicGraphModelChange</a></td>
<th class="colLast" scope="row">
<div class="block">Defines the interface for an atomic change of the graph model.</div>
</th>
</tr>
<tr id="i144" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxImage.html" title="class in import hk.quantr.mxgraph.util">mxImage</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a 2-dimensional point with double precision coordinates.</div>
</th>
</tr>
<tr id="i145" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/mxImageBundle.html" title="class in import hk.quantr.mxgraph.util">mxImageBundle</a></td>
<th class="colLast" scope="row">
<div class="block">Maps from keys to base64 encoded images or file locations.</div>
</th>
</tr>
<tr id="i146" class="altColor">
<td class="colFirst"><a href="com/mxgraph/canvas/mxImageCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxImageCanvas</a></td>
<th class="colLast" scope="row">
<div class="block">An implementation of a canvas that uses Graphics2D for painting.</div>
</th>
</tr>
<tr id="i147" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxImageShape.html" title="class in import hk.quantr.mxgraph.shape">mxImageShape</a></td>
<th class="colLast" scope="row">
<div class="block">A rectangular shape that contains a single image.</div>
</th>
</tr>
<tr id="i148" class="altColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxIMarker.html" title="interface in import hk.quantr.mxgraph.shape">mxIMarker</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i149" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxInsertHandler.html" title="class in import hk.quantr.mxgraph.swing.handler">mxInsertHandler</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i150" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/view/mxInteractiveCanvas.html" title="class in import hk.quantr.mxgraph.swing.view">mxInteractiveCanvas</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i151" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxIShape.html" title="interface in import hk.quantr.mxgraph.shape">mxIShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i152" class="altColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxITextShape.html" title="interface in import hk.quantr.mxgraph.shape">mxITextShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i153" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxKeyboardHandler.html" title="class in import hk.quantr.mxgraph.swing.handler">mxKeyboardHandler</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i154" class="altColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxLabelShape.html" title="class in import hk.quantr.mxgraph.shape">mxLabelShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i155" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/view/mxLayoutManager.html" title="class in import hk.quantr.mxgraph.view">mxLayoutManager</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a layout manager that updates the layout for a given transaction.</div>
</th>
</tr>
<tr id="i156" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxLightweightLabel.html" title="class in import hk.quantr.mxgraph.util">mxLightweightLabel</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i157" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/mxLine.html" title="class in import hk.quantr.mxgraph.util">mxLine</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a line with double precision coordinates.</div>
</th>
</tr>
<tr id="i158" class="altColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxLineShape.html" title="class in import hk.quantr.mxgraph.shape">mxLineShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i159" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxMarkerRegistry.html" title="class in import hk.quantr.mxgraph.shape">mxMarkerRegistry</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i160" class="altColor">
<td class="colFirst"><a href="com/mxgraph/layout/hierarchical/stage/mxMedianHybridCrossingReduction.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.stage">mxMedianHybridCrossingReduction</a></td>
<th class="colLast" scope="row">
<div class="block">Performs a vertex ordering within ranks as described by Gansner et al 1993</div>
</th>
</tr>
<tr id="i161" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/hierarchical/stage/mxMinimumCycleRemover.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.stage">mxMinimumCycleRemover</a></td>
<th class="colLast" scope="row">
<div class="block">An implementation of the first stage of the Sugiyama layout.</div>
</th>
</tr>
<tr id="i162" class="altColor">
<td class="colFirst"><a href="com/mxgraph/io/mxModelCodec.html" title="class in import hk.quantr.mxgraph.io">mxModelCodec</a></td>
<th class="colLast" scope="row">
<div class="block">Codec for mxGraphModels.</div>
</th>
</tr>
<tr id="i163" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxMorphing.html" title="class in import hk.quantr.mxgraph.swing.util">mxMorphing</a></td>
<th class="colLast" scope="row">
<div class="block">Provides animation effects.</div>
</th>
</tr>
<tr id="i164" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxMouseAdapter.html" title="class in import hk.quantr.mxgraph.swing.util">mxMouseAdapter</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i165" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxMovePreview.html" title="class in import hk.quantr.mxgraph.swing.handler">mxMovePreview</a></td>
<th class="colLast" scope="row">
<div class="block">Connection handler creates new connections between cells.</div>
</th>
</tr>
<tr id="i166" class="altColor">
<td class="colFirst"><a href="com/mxgraph/view/mxMultiplicity.html" title="class in import hk.quantr.mxgraph.view">mxMultiplicity</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i167" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/io/mxObjectCodec.html" title="class in import hk.quantr.mxgraph.io">mxObjectCodec</a></td>
<th class="colLast" scope="row">
<div class="block">Generic codec for Java objects.</div>
</th>
</tr>
<tr id="i168" class="altColor">
<td class="colFirst"><a href="com/mxgraph/layout/mxOrganicLayout.html" title="class in import hk.quantr.mxgraph.layout">mxOrganicLayout</a></td>
<th class="colLast" scope="row">
<div class="block">An implementation of a simulated annealing layout, based on "Drawing Graphs
 Nicely Using Simulated Annealing" by Davidson and Harel (1996).</div>
</th>
</tr>
<tr id="i169" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/orthogonal/mxOrthogonalLayout.html" title="class in import hk.quantr.mxgraph.layout.orthogonal">mxOrthogonalLayout</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i170" class="altColor">
<td class="colFirst"><a href="com/mxgraph/layout/orthogonal/model/mxOrthogonalModel.html" title="class in import hk.quantr.mxgraph.layout.orthogonal.model">mxOrthogonalModel</a></td>
<th class="colLast" scope="row">
<div class="block">A custom graph model</div>
</th>
</tr>
<tr id="i171" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxPanningHandler.html" title="class in import hk.quantr.mxgraph.swing.handler">mxPanningHandler</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i172" class="altColor">
<td class="colFirst"><a href="com/mxgraph/layout/mxParallelEdgeLayout.html" title="class in import hk.quantr.mxgraph.layout">mxParallelEdgeLayout</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i173" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/mxPartitionLayout.html" title="class in import hk.quantr.mxgraph.layout">mxPartitionLayout</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i174" class="altColor">
<td class="colFirst"><a href="com/mxgraph/view/mxPerimeter.html" title="class in import hk.quantr.mxgraph.view">mxPerimeter</a></td>
<th class="colLast" scope="row">
<div class="block">Provides various perimeter functions to be used in a style
 as the value of mxConstants.STYLE_PERIMETER.</div>
</th>
</tr>
<tr id="i175" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/view/mxPerimeter.mxPerimeterFunction.html" title="interface in import hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a></td>
<th class="colLast" scope="row">
<div class="block">Defines the requirements for a perimeter function.</div>
</th>
</tr>
<tr id="i176" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/png/mxPngEncodeParam.html" title="class in import hk.quantr.mxgraph.util.png">mxPngEncodeParam</a></td>
<th class="colLast" scope="row">
<div class="block">An instance of <code>ImageEncodeParam</code> for encoding images in
 the PNG format.</div>
</th>
</tr>
<tr id="i177" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/png/mxPngEncodeParam.Gray.html" title="class in import hk.quantr.mxgraph.util.png">mxPngEncodeParam.Gray</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i178" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/png/mxPngEncodeParam.Palette.html" title="class in import hk.quantr.mxgraph.util.png">mxPngEncodeParam.Palette</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i179" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/png/mxPngEncodeParam.RGB.html" title="class in import hk.quantr.mxgraph.util.png">mxPngEncodeParam.RGB</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i180" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/png/mxPngImageEncoder.html" title="class in import hk.quantr.mxgraph.util.png">mxPngImageEncoder</a></td>
<th class="colLast" scope="row">
<div class="block">An ImageEncoder for the PNG file format.</div>
</th>
</tr>
<tr id="i181" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/png/mxPngSuggestedPaletteEntry.html" title="class in import hk.quantr.mxgraph.util.png">mxPngSuggestedPaletteEntry</a></td>
<th class="colLast" scope="row">
<div class="block">A class representing the fields of a PNG suggested palette entry.</div>
</th>
</tr>
<tr id="i182" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/png/mxPngTextDecoder.html" title="class in import hk.quantr.mxgraph.util.png">mxPngTextDecoder</a></td>
<th class="colLast" scope="row">
<div class="block">Utility class to extract the compression text portion of a PNG</div>
</th>
</tr>
<tr id="i183" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/mxPoint.html" title="class in import hk.quantr.mxgraph.util">mxPoint</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a 2-dimensional point with double precision coordinates.</div>
</th>
</tr>
<tr id="i184" class="altColor">
<td class="colFirst"><a href="com/mxgraph/layout/orthogonal/model/mxPointPair.html" title="class in import hk.quantr.mxgraph.layout.orthogonal.model">mxPointPair</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i185" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/orthogonal/model/mxPointSequence.html" title="class in import hk.quantr.mxgraph.layout.orthogonal.model">mxPointSequence</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i186" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a 2-dimensional rectangle with double precision coordinates.</div>
</th>
</tr>
<tr id="i187" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxRectangleShape.html" title="class in import hk.quantr.mxgraph.shape">mxRectangleShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i188" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxResources.html" title="class in import hk.quantr.mxgraph.util">mxResources</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i189" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxRhombusShape.html" title="class in import hk.quantr.mxgraph.shape">mxRhombusShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i190" class="altColor">
<td class="colFirst"><a href="com/mxgraph/io/mxRootChangeCodec.html" title="class in import hk.quantr.mxgraph.io">mxRootChangeCodec</a></td>
<th class="colLast" scope="row">
<div class="block">Codec for mxChildChanges.</div>
</th>
</tr>
<tr id="i191" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxRotationHandler.html" title="class in import hk.quantr.mxgraph.swing.handler">mxRotationHandler</a></td>
<th class="colLast" scope="row">
<div class="block">Basic example of implementing a handler for rotation.</div>
</th>
</tr>
<tr id="i192" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxRubberband.html" title="class in import hk.quantr.mxgraph.swing.handler">mxRubberband</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a rubberband selection.</div>
</th>
</tr>
<tr id="i193" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/reader/mxSaxOutputHandler.html" title="class in import hk.quantr.mxgraph.reader">mxSaxOutputHandler</a></td>
<th class="colLast" scope="row">
<div class="block">XMLReader reader = SAXParserFactory.newInstance().newSAXParser()
                        .getXMLReader();
        reader.setContentHandler(new mxSaxExportHandler(
                        new mxGraphicsExportCanvas(g2)));
        reader.parse(new InputSource(new StringReader(xml)));</div>
</th>
</tr>
<tr id="i194" class="altColor">
<td class="colFirst"><a href="com/mxgraph/reader/mxSaxOutputHandler.IElementHandler.html" title="interface in import hk.quantr.mxgraph.reader">mxSaxOutputHandler.IElementHandler</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i195" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/orthogonal/model/mxSegment.html" title="class in import hk.quantr.mxgraph.layout.orthogonal.model">mxSegment</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i196" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxSelectionCellsHandler.html" title="class in import hk.quantr.mxgraph.swing.handler">mxSelectionCellsHandler</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i197" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/mxSpline.html" title="class in import hk.quantr.mxgraph.util">mxSpline</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i198" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxSpline1D.html" title="class in import hk.quantr.mxgraph.util">mxSpline1D</a></td>
<th class="colLast" scope="row">
<div class="block">One dimension of a spline curve</div>
</th>
</tr>
<tr id="i199" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/layout/mxStackLayout.html" title="class in import hk.quantr.mxgraph.layout">mxStackLayout</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i200" class="altColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxStencil.html" title="class in import hk.quantr.mxgraph.shape">mxStencil</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a stencil for the given XML definition.</div>
</th>
</tr>
<tr id="i201" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxStencilRegistry.html" title="class in import hk.quantr.mxgraph.shape">mxStencilRegistry</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i202" class="altColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxStencilShape.html" title="class in import hk.quantr.mxgraph.shape">mxStencilShape</a></td>
<th class="colLast" scope="row">
<div class="block">Stencil shape drawing that takes an XML definition of the shape and renders
 it.</div>
</th>
</tr>
<tr id="i203" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/view/mxStyleRegistry.html" title="class in import hk.quantr.mxgraph.view">mxStyleRegistry</a></td>
<th class="colLast" scope="row">
<div class="block">Singleton class that acts as a global converter from string to object values
 in a style.</div>
</th>
</tr>
<tr id="i204" class="altColor">
<td class="colFirst"><a href="com/mxgraph/view/mxStylesheet.html" title="class in import hk.quantr.mxgraph.view">mxStylesheet</a></td>
<th class="colLast" scope="row">
<div class="block">Defines the appearance of the cells in a graph.</div>
</th>
</tr>
<tr id="i205" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/io/mxStylesheetCodec.html" title="class in import hk.quantr.mxgraph.io">mxStylesheetCodec</a></td>
<th class="colLast" scope="row">
<div class="block">Codec for mxStylesheets.</div>
</th>
</tr>
<tr id="i206" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxStyleUtils.html" title="class in import hk.quantr.mxgraph.util">mxStyleUtils</a></td>
<th class="colLast" scope="row">
<div class="block">Contains various style helper methods for use with mxGraph.</div>
</th>
</tr>
<tr id="i207" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/canvas/mxSvgCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxSvgCanvas</a></td>
<th class="colLast" scope="row">
<div class="block">An implementation of a canvas that uses SVG for painting.</div>
</th>
</tr>
<tr id="i208" class="altColor">
<td class="colFirst"><a href="com/mxgraph/view/mxSwimlaneManager.html" title="class in import hk.quantr.mxgraph.view">mxSwimlaneManager</a></td>
<th class="colLast" scope="row">
<div class="block">Manager for swimlanes and nested swimlanes that sets the size of newly added
 swimlanes to that of their siblings, and propagates changes to the size of a
 swimlane to its siblings, if siblings is true, and its ancestors, if
 bubbling is true.</div>
</th>
</tr>
<tr id="i209" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxSwimlaneShape.html" title="class in import hk.quantr.mxgraph.shape">mxSwimlaneShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i210" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/util/mxSwingConstants.html" title="class in import hk.quantr.mxgraph.swing.util">mxSwingConstants</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i211" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/view/mxTemporaryCellStates.html" title="class in import hk.quantr.mxgraph.view">mxTemporaryCellStates</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i212" class="altColor">
<td class="colFirst"><a href="com/mxgraph/io/mxTerminalChangeCodec.html" title="class in import hk.quantr.mxgraph.io">mxTerminalChangeCodec</a></td>
<th class="colLast" scope="row">
<div class="block">Codec for mxChildChanges.</div>
</th>
</tr>
<tr id="i213" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/analysis/mxTraversal.html" title="class in import hk.quantr.mxgraph.analysis">mxTraversal</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a collection of utility methods for traversing the
 graph structure.</div>
</th>
</tr>
<tr id="i214" class="altColor">
<td class="colFirst"><a href="com/mxgraph/shape/mxTriangleShape.html" title="class in import hk.quantr.mxgraph.shape">mxTriangleShape</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i215" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/mxUndoableEdit.html" title="class in import hk.quantr.mxgraph.util">mxUndoableEdit</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a 2-dimensional rectangle with double precision coordinates.</div>
</th>
</tr>
<tr id="i216" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxUndoableEdit.mxUndoableChange.html" title="interface in import hk.quantr.mxgraph.util">mxUndoableEdit.mxUndoableChange</a></td>
<th class="colLast" scope="row">
<div class="block">Defines the requirements for an undoable change.</div>
</th>
</tr>
<tr id="i217" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/mxUndoManager.html" title="class in import hk.quantr.mxgraph.util">mxUndoManager</a></td>
<th class="colLast" scope="row">
<div class="block">Implements an undo history.</div>
</th>
</tr>
<tr id="i218" class="altColor">
<td class="colFirst"><a href="com/mxgraph/analysis/mxUnionFind.html" title="class in import hk.quantr.mxgraph.analysis">mxUnionFind</a></td>
<th class="colLast" scope="row">
<div class="block">Implements a union find structure that uses union by rank and path
 compression.</div>
</th>
</tr>
<tr id="i219" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/mxUtils.html" title="class in import hk.quantr.mxgraph.util">mxUtils</a></td>
<th class="colLast" scope="row">
<div class="block">Contains various helper methods for use with mxGraph.</div>
</th>
</tr>
<tr id="i220" class="altColor">
<td class="colFirst"><a href="com/mxgraph/swing/handler/mxVertexHandler.html" title="class in import hk.quantr.mxgraph.swing.handler">mxVertexHandler</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i221" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/canvas/mxVmlCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxVmlCanvas</a></td>
<th class="colLast" scope="row">
<div class="block">An implementation of a canvas that uses VML for painting.</div>
</th>
</tr>
<tr id="i222" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/mxXmlUtils.html" title="class in import hk.quantr.mxgraph.util">mxXmlUtils</a></td>
<th class="colLast" scope="row">
<div class="block">Contains various XML helper methods for use with mxGraph.</div>
</th>
</tr>
<tr id="i223" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/NormalizingReader.html" title="class in import hk.quantr.mxgraph.util.svg">NormalizingReader</a></td>
<th class="colLast" scope="row">
<div class="block">This class represents a reader which normalizes the line break: \n,
 \r, \r\n are replaced by \n.</div>
</th>
</tr>
<tr id="i224" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/NumberParser.html" title="class in import hk.quantr.mxgraph.util.svg">NumberParser</a></td>
<th class="colLast" scope="row">
<div class="block">This class represents a parser with support for numbers.</div>
</th>
</tr>
<tr id="i225" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/ParseException.html" title="class in import hk.quantr.mxgraph.util.svg">ParseException</a></td>
<th class="colLast" scope="row">
<div class="block">This class encapsulates a general parse error or warning.</div>
</th>
</tr>
<tr id="i226" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/Parser.html" title="interface in import hk.quantr.mxgraph.util.svg">Parser</a></td>
<th class="colLast" scope="row">
<div class="block">This interface represents a parser.</div>
</th>
</tr>
<tr id="i227" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/PathHandler.html" title="interface in import hk.quantr.mxgraph.util.svg">PathHandler</a></td>
<th class="colLast" scope="row">
<div class="block">This interface must be implemented and then registred as the
 handler of a <code>PathParser</code> instance in order to be
 notified of parsing events.</div>
</th>
</tr>
<tr id="i228" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/PathParser.html" title="class in import hk.quantr.mxgraph.util.svg">PathParser</a></td>
<th class="colLast" scope="row">
<div class="block">This class implements an event-based parser for the SVG path's d
 attribute values.</div>
</th>
</tr>
<tr id="i229" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/PointsHandler.html" title="interface in import hk.quantr.mxgraph.util.svg">PointsHandler</a></td>
<th class="colLast" scope="row">
<div class="block">This interface must be implemented and then registred as the
 handler of a <code>PointsParser</code> instance in order to be
 notified of parsing events.</div>
</th>
</tr>
<tr id="i230" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/PointsParser.html" title="class in import hk.quantr.mxgraph.util.svg">PointsParser</a></td>
<th class="colLast" scope="row">
<div class="block">This class implements an event-based parser for the SVG points
 attribute values (used with polyline and polygon elements).</div>
</th>
</tr>
<tr id="i231" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/ShapeProducer.html" title="interface in import hk.quantr.mxgraph.util.svg">ShapeProducer</a></td>
<th class="colLast" scope="row">
<div class="block">This interface represents objects which creates Shape objects.</div>
</th>
</tr>
<tr id="i232" class="altColor">
<td class="colFirst"><a href="com/mxgraph/util/svg/StringNormalizingReader.html" title="class in import hk.quantr.mxgraph.util.svg">StringNormalizingReader</a></td>
<th class="colLast" scope="row">
<div class="block">This class represents a NormalizingReader which handles Strings.</div>
</th>
</tr>
<tr id="i233" class="rowColor">
<td class="colFirst"><a href="com/mxgraph/analysis/StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
